Page MenuHomePhabricator

Update build scripts to support uploading java-mwapi library jar file OSSRH
Closed, ResolvedPublic3 Story Points

Description

It would be great to deploy our java-mwapi jar file artifact to a central repo, like Maven Central or jcenter.
This would make our builds less dependent on tool labs.
This could also help getting the F-droid builds working again.

I think Maven Central would be preferred but might be a lot harder to do than jcenter.
Info for Maven Central: https://maven.apache.org/guides/mini/guide-central-repository-upload.html

Event Timeline

bearND created this task.Jun 19 2015, 4:02 AM
bearND raised the priority of this task from to Needs Triage.
bearND updated the task description. (Show Details)
bearND added a subscriber: bearND.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2015, 4:02 AM
bearND set Security to None.Jun 19 2015, 4:02 AM
bearND added a subscriber: yuvipanda.

@yuvipanda We don't have experience with this yet but maybe you would provide some guidance and also provide some info about https://repo1.maven.org/maven2/org/mediawiki/api/1.3/api-1.3.pom, something you uploaded to Maven Central 2 years ago. (Is this related to java-mwapi?)

Some background on why you chose to create your own repo based on tool labs after you uploaded the aforementioned artifacts would be great, too.

Dbrant added a subscriber: Dbrant.Jun 19 2015, 1:28 PM

...or perhaps merge java-mwapi into the app project itself?

Change 223718 had a related patch set uploaded (by Niedzielski):
Replace Maven build system with Gradle

https://gerrit.wikimedia.org/r/223718

Change 223720 had a related patch set uploaded (by Niedzielski):
Add fallback json Gradle project

https://gerrit.wikimedia.org/r/223720

MBinder_WMF edited a custom field.Jul 15 2015, 5:28 PM
Niedzielski renamed this task from Upload java-mwapi library jar file to a central repo to Update build scripts to support uploading java-mwapi library jar file OSSRH.Jul 16 2015, 8:03 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJul 16 2015, 8:03 PM

Change 223718 merged by BearND:
Replace Maven build system with Gradle

https://gerrit.wikimedia.org/r/223718

Change 223720 merged by jenkins-bot:
Add fallback json Gradle project

https://gerrit.wikimedia.org/r/223720

Dbrant closed this task as Resolved.Jul 21 2015, 12:03 PM